struct FIND_PARAMS
{
    /// X Start Position
    /** deprecated */
    double xStartPosition;
    /// Y Start Position
    /** deprecated */
    double yStartPosition;
    /// Z Start Position
    /** deprecated */
    double zStartPosition;
    /// Y End Position
    /** deprecated */
    double yEndPosition;
    /// X Spindle Offset
    /** \todo move this to admin parameters */
    double xSpindleOffset;
    /// Y Spindle Offset
    /** \todo move this to admin parameters */
    double ySpindleOffset;
    /// Fast Sweep Velocity (mm/s)
    /** Velocity during rough sweep */
    double FastSweepVelocity;
    /// Slow Sweep Velocity (mm/s)
    /** Velocity during fine sweep */
    double SlowSweepVelocity;
    /// Slow Sweep Area (mm)
    /** Size of fine find area */
    double SlowSweepArea;
    /// Number of Averages
    /** */
    long int NumberOfAverages;
    /// Number of Fine Sets
    /** Number of fine finds to perform during a fine find */
    long int numFineSets;
    /// Default Gain
    /** deprecated */
    long int DefaultGain;
    /// Fast Move Velocity (mm/s)
    /** Velocity during 'rapid' moves */
    double fastMoveVelocity;
    /// Fast Feed Velocity
    /** deprecated */
    double fastFeedVelocity;
    /// Use Spike Detection (T/F)
    /** Whether to use spike detection for magnet data */
    bool useSpikeDetection;
    /// Spike Threshold (gauss)
    /** Threshold for spike detection */
    double spikeThreshold;
    /// Spike Filter Window Size
    /** deprecated */
    long int spikeFilterWindowSize;
    /// Magnet Presence Threshold
    /**
     * Magnet sweeps must see values above this to say magnet is present (gauss/mm).
     * The FluxTack will not drill if it does not detect a magnet.
     */
    double magnetPresenceThreshold;
    /// Use Compensation (T/F)
    /** Whether to use compensation (\todo which?) */
    bool UseCompensation;
    /// Output Sweep Data (T/F)
    /** Whether to output sweep data */
    bool outputSweepData;
    /// Find Positive Crossing (T/F)
    /**
     * Whether to look for positive zero crossings in zero-crossing function.
     * This determines pole of the magnet should be used.
     */
    bool findPositiveCrossings;
    /// Perform Full Sweep (T/F)
    /**
     * Always finish the sweep movement regardless of success (all crossings
     * found) or failure.
     */
    bool performFullSweep;
    /// Collect Data Only (T/F)
    /**
     * During all sweeps, do not perform any calculation, only collect data
     */
    bool collectDataOnly;
};

namespace WhatsInANamespace 
{
	const FIND_PARAMS defaultFindParameters = {0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;


		
		


		false,//collectDataOnly;
	};
	
	const FIND_PARAMS defaultFindParameters2 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;


		
		


		false,//collectDataOnly;
	};
	
	const FIND_PARAMS defaultFindParameters3 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;

		
		


		false,//collectDataOnly;
	};
	
	FIND_PARAMS defaultFindParameters4 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;

		
		


		false,//collectDataOnly;
	};
	
	FIND_PARAMS defaultFindParameters5 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;

		
		
		


		false,//collectDataOnly;
	};
}

FIND_PARAMS defaultFindParameters6 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;

		
		


		false,//collectDataOnly;
	};
	
	FIND_PARAMS defaultFindParameters7 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;

		
		
		


		false,//collectDataOnly;
	};
	
	FIND_PARAMS defaultFindParameters8 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;
		
		


		false,//collectDataOnly;
	};
	
	FIND_PARAMS defaultFindParameters9 = {
		0.0,// xStartPosition;
		0.0,// yStartPosition;
		0.0,// zStartPosition;
		0.0,// yEndPosition;
		0.0,// xSpindleOffset;
		0.0,// ySpindleOffset;
		40.0,// FastSweepVelocity;
		4.0,// SlowSweepVelocity;
		10.0,// SlowSweepArea;
		0,// NumberOfAverages;
		2,// numFineSets;
		4,// DefaultGain;
		100.0,// fastMoveVelocity;
		50.0,// fastFeedVelocity;
		true,// useSpikeDetection;
		7000.0,// spikeThreshold;
		10,// spikeFilterWindowSize;
		10000.0,// magnetPresenceThreshold;
		false,// UseCompensation;
		false,// outputSweepData;
		false,// findPositiveCrossings;
		false,// performFullSweep;
		
		


		false,//collectDataOnly;
		
		
		
		
		
		
		
		
	};